i18next - Get JSON
GET
/localization/i18next/{language}dev
https://api.sandbox.ovok.comDownload the i18next JSON file for applications
Applications require the i18next JSON file to be downloaded and used to initialize the i18next library. The response is a JSON object with the i18next format.
NOTE: The provided language must be enabled in the system by calling Locale APIs.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
language | path | string | yes | Locale code to fetch the i18next JSON for (e.g. en, de). Must be enabled for the project via the Locale APIs. |
Responses
| Code | Description |
|---|---|
200 | Success. |
400 | The request could not be operated by the server. |
401 | The resource owner or authorization server denied the request. |
404 | The requested resource could not be found. |
422 | The request could not be validated by the server. |
500 | The server encountered an unexpected condition. Please try again later. |
200 → i18nGetDto (application/json)
key:string(required) — Alphabetic keylanguage:string(required)
Example
{
"page": {
"about": "about",
"contact": "contact",
"home": {
"title": "home"
}
}
}